Electricity API

Electricity API

v Free Plan Available 2 endpoints

Purchase prepaid electricity tokens for all Nigerian distribution companies.

View Documentation
Endpoints
POST
/verify
Verify a meter number and get customer details
/min
POST
/purchase
Purchase electricity token
/min
Quick Start
curl -X POST "https://gateway.africoders.com/electricity/send" \
  -H "X-API-Key: sk_live_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"to": "+2348012345678", "message": "Hello!"}'
$response = Http::withHeaders([
    'X-API-Key' => 'sk_live_your_api_key'
])->post('https://gateway.africoders.com/electricity/send', [
    'to' => '+2348012345678',
    'message' => 'Hello!'
]);
const response = await fetch('https://gateway.africoders.com/electricity/send', {
  method: 'POST',
  headers: {
    'X-API-Key': 'sk_live_your_api_key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    to: '+2348012345678',
    message: 'Hello!'
  })
});
Subscribe

Sign in to subscribe and start using this API.

Sign In Create Account
API Info
Version
v
Base URL
gateway.africoders.com/electricity
Category
Fintech
Endpoints
2
A
AURA Africoders AI Assistant
A

Hi! I'm AURA — your Africoders AI assistant.

I can help you explore the ecosystem, find courses, answer questions about our APIs, and more. How can I help you today?